%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		tomboy
Version:	1.15.7
Release:	%mkrel 1
Summary:	Desktop Note-taking application
Group:		Graphical desktop/GNOME
# Tomboy itself is LGPL+
# libtomboy contains GPL+ code
License:	LGPL+ and GPLv2+
URL:		https://wiki.gnome.org/Apps/Tomboy
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#gw we need an UTF-8 locale for gmcs to allow non-ASCII source files
BuildRequires:	locales-en
###
#for autoreconf
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
###
BuildRequires:	pkgconfig(mono) >= 1.9.1
BuildRequires:	pkgconfig(mono-addins)
#BuildRequires:  pkgconfig(mono-nunit)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0) >= 0.3
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.9
BuildRequires:	pkgconfig(gmime-sharp-2.6)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(galago-sharp) >= 0.5.0
Requires:	mono-addins

%description
Tomboy is a desktop note-taking application. Simple and easy to use,
but with potential to help you organize the ideas and information 
you deal with every day.
The key to Tomboy's usefulness lies in the ability to relate notes
and ideas together. Using a WikiWiki-like linking system, organizing
ideas is as simple as typing a name.
Branching an idea off is easy as pressing the Link button. And links
between your ideas won't break, even when renaming and reorganizing
them.

%prep
%setup -q

# Convert to utf-8
for file in ChangeLog ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure2_5x \
	--enable-galago=no \
	--disable-update-mimedb \
	--disable-schemas-install \
	--enable-gnome=no \
	--enable-tests=no
make

%install
%make_install

%find_lang %{name} --with-gnome --with-help

#we don't want these
find %{buildroot} -name '*.la' -delete

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_mandir}/man1/%name.1*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/tomboy*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-note.*
%{_datadir}/mime/packages/tomboy.xml
%{_datadir}/%{name}
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/%{name}/Tomboy.exe.mdb
%{_libdir}/%{name}/addins/
%{_libdir}/pkgconfig/tomboy-addins.pc
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service


%changelog
* Mon Feb 06 2017 daviddavid <daviddavid> 1.15.7-1.mga6
+ Revision: 1085050
- new version: 1.15.7

* Sat Feb 04 2017 daviddavid <daviddavid> 1.15.6-1.mga6
+ Revision: 1084815
- new version: 1.15.6
- add BR itstool
- fix building with mono4 is no more needed

* Sun Sep 18 2016 ovitters <ovitters> 1.15.5-1.mga6
+ Revision: 1053846
- new version 1.15.5

* Sun Apr 03 2016 daviddavid <daviddavid> 1.15.4-4.mga6
+ Revision: 997830
- fix building with mono4
- fix files not UTF-8

  + dtux <dtux>
    - added mono-addins as a requires

* Wed Oct 15 2014 umeabot <umeabot> 1.15.4-3.mga5
+ Revision: 740207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15.4-2.mga5
+ Revision: 689915
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 dams <dams> 1.15.4-1.mga5
+ Revision: 581030
- new version 1.15.4

* Mon Dec 23 2013 dams <dams> 1.15.3-1.mga4
+ Revision: 560065
- new version 1.15.3

* Sat Oct 19 2013 umeabot <umeabot> 1.15.2-3.mga4
+ Revision: 529788
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 dams <dams> 1.15.2-2.mga4
+ Revision: 453335
- update buildrequires for new mono

* Wed May 29 2013 dams <dams> 1.15.2-1.mga4
+ Revision: 432904
- new version 1.15.2

* Fri May 24 2013 dams <dams> 1.15.1-1.mga4
+ Revision: 426036
- new version 1.15.1

* Wed Apr 10 2013 dams <dams> 1.14.0-1.mga3
+ Revision: 409388
- new version 1.14.0

* Mon Jan 14 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 384649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 317490
- new version 1.12.2

* Tue Oct 16 2012 ovitters <ovitters> 1.12.1-1.mga3
+ Revision: 307294
- new version 1.12.1

* Tue Sep 25 2012 fwang <fwang> 1.12.0-1.mga3
+ Revision: 297378
- new version 1.12.0

* Tue Sep 18 2012 fwang <fwang> 1.11.7-1.mga3
+ Revision: 295802
- new version 1.11.7

* Thu Aug 30 2012 fwang <fwang> 1.11.6-2.mga3
+ Revision: 285755
- disable galago
- disable  panel applet

* Thu Aug 30 2012 fwang <fwang> 1.11.6-1.mga3
+ Revision: 285664
- drop merged patch
- new version 1.11.6

* Mon Jul 16 2012 ovitters <ovitters> 1.11.4-1.mga3
+ Revision: 271408
- new version 1.11.4

* Mon Jun 25 2012 ovitters <ovitters> 1.11.3-1.mga3
+ Revision: 263690
- new version 1.11.3

* Mon May 14 2012 ovitters <ovitters> 1.10.2-1.mga3
+ Revision: 235700
- new version 1.10.2
- new version 1.10.1
- new version 1.10.0
- new version 1.9.10

* Tue Mar 06 2012 fwang <fwang> 1.9.9-1.mga2
+ Revision: 220340
- new version 1.9.9

* Wed Feb 22 2012 ovitters <ovitters> 1.9.8-1.mga2
+ Revision: 212330
- new version

* Mon Feb 06 2012 fwang <fwang> 1.9.6-1.mga2
+ Revision: 205458
- new version 1.9.6

  + ovitters <ovitters>
    - new version
    - clean spec file

* Mon Dec 19 2011 wally <wally> 1.9.4-1.mga2
+ Revision: 184599
- new version 1.9.4

* Mon Nov 21 2011 wally <wally> 1.9.3-1.mga2
+ Revision: 170613
- new version 1.9.3

* Tue Oct 25 2011 fwang <fwang> 1.9.2-1.mga2
+ Revision: 157992
- new version 1.9.2

* Tue Oct 18 2011 wally <wally> 1.9.1-1.mga2
+ Revision: 156139
- new version 1.9.1

* Mon Sep 26 2011 fwang <fwang> 1.8.0-1.mga2
+ Revision: 148814
- new version 1.8.0

* Mon Sep 19 2011 fwang <fwang> 1.7.7-1.mga2
+ Revision: 145301
- new version 1.7.7

* Tue Sep 06 2011 fwang <fwang> 1.7.6-1.mga2
+ Revision: 139323
- new version 1.7.6

* Tue Aug 30 2011 fwang <fwang> 1.7.5-1.mga2
+ Revision: 136486
- new version 1.7.5
- rebuild for new gmime
- new version 1.7.4

  + wally <wally>
    - new version 1.7.3
    - disable Galago add-in for now as build fails
    - clean BRs
    - clean .spec

* Fri Jul 08 2011 fwang <fwang> 1.7.1-1.mga2
+ Revision: 120136
- br gconf-sharp
- new version 1.7.1

  + dmorgan <dmorgan>
    - New version 1.7.0
    - Rebuild against gnome3

* Mon Apr 18 2011 dams <dams> 1.6.0-1.mga1
+ Revision: 87716
- Update to 1.6.0 and remove CVE as now merged upstream

* Thu Apr 14 2011 tv <tv> 1.4.2-2.mga1
+ Revision: 85383
- cleanups
- imported package tomboy

